Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZCodePageCodec Class Reference
Internationalization

The class eZCodePageCodec does. More...

Inheritance diagram for eZCodePageCodec:

## Public Member Functions
| __construct ( $name)
| toUnicode ( $str)
| fromUnicode ( $str)
| isValid ()
| codePage ()
| setCodePage ( $cp)
Public Member Functions inherited from eZTextCodec
| __construct ( $inputCharsetCode, $outputCharsetCode, $realInputCharsetCode, $realOutputCharsetCode, $inputEncoding, $outputEncoding)
| initializeConversionFunction ( $encodingConvertInitMap, $encodingConvertInitFunction)
| initializeCodepageMapper ()
| initializeInputCodepage ()
| initializeOutputCodepage ()
| conversionRequired ()
| setUseMBString ( $use)
| useMBString ()
| requestedInputCharsetCode ()
| requestedOutputCharsetCode ()
| inputCharsetCode ()
| outputCharsetCode ()
| convertString ( $str)
| strlen ( $str)
| convertNoneToUnicode ( $str)
| convertCodepageToUnicode ( $str)
| convertUTF8ToUnicode ( $str)
| convertUnicodeToCodepage ( $unicodeValues)
| convertUnicodeToUTF8 ( $unicodeValues)
| convertNone ( $str)
| convertCodepage ( $str)
| convertCodepageRev ( $str)
| convertCodepageMapper ( $str)
| convertMBString ( $str)
| strlenNone ( $str)
| strlenUnicode ( $unicodeValues)
| strlenCodepage ( $str)
| strlenUTF8 ( $str)
| strlenCodepageRev ( $str)
| strlenCodepageMapper ( $str)
| strlenMBString ( $str)
| __construct ( $inputCharsetCode, $outputCharsetCode, $realInputCharsetCode, $realOutputCharsetCode, $inputEncoding, $outputEncoding)
| initializeConversionFunction ( $encodingConvertInitMap, $encodingConvertInitFunction)
| initializeCodepageMapper ()
| initializeInputCodepage ()
| initializeOutputCodepage ()
| conversionRequired ()
| setUseMBString ( $use)
| useMBString ()
| requestedInputCharsetCode ()
| requestedOutputCharsetCode ()
| inputCharsetCode ()
| outputCharsetCode ()
| convertString ( $str)
| strlen ( $str)
| convertNoneToUnicode ( $str)
| convertCodepageToUnicode ( $str)
| convertUTF8ToUnicode ( $str)
| convertUnicodeToCodepage ( $unicodeValues)
| convertUnicodeToUTF8 ( $unicodeValues)
| convertNone ( $str)
| convertCodepage ( $str)
| convertCodepageRev ( $str)
| convertCodepageMapper ( $str)
| convertMBString ( $str)
| strlenNone ( $str)
| strlenUnicode ( $unicodeValues)
| strlenCodepage ( $str)
| strlenUTF8 ( $str)
| strlenCodepageRev ( $str)
| strlenCodepageMapper ( $str)
| strlenMBString ( $str)

## Public Attributes
| $CodePage
Public Attributes inherited from eZTextCodec
| $CodepageMapper
| $Codepage
| $RequestedInputCharsetCode
| $RequestedOutputCharsetCode
| $InputCharsetCode
| $OutputCharsetCode
| $InputCharacterEncodingScheme
| $OutputCharacterEncodingScheme
| $ConversionFunction
| $StrlenFunction
| $RequireConversion

## Additional Inherited Members
Static Public Member Functions inherited from eZTextCodec
static | instance ( $inputCharsetCode, $outputCharsetCode=false, $alwaysReturn=true)
static | updateSettings ( $settings)
static | internalCharset ()
static | httpCharset ()
static | instance ( $inputCharsetCode, $outputCharsetCode=false, $alwaysReturn=true)
static | updateSettings ( $settings)
static | internalCharset ()
static | httpCharset ()

## Detailed Description

The class eZCodePageCodec does.

Definition at line 19 of file ezcodepagecodec.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZCodePageCodec::__construct | ( |  | $name | ) |

Initializes the codepage codec with $name

Definition at line 24 of file ezcodepagecodec.php.

References $name.

## Member Function Documentation

## ◆ codePage()

eZCodePageCodec::codePage | ( |  | ) |

Returns the codepage.

Definition at line 80 of file ezcodepagecodec.php.

References $CodePage.

## ◆ fromUnicode()

eZCodePageCodec::fromUnicode | ( |  | $str | ) |

Definition at line 47 of file ezcodepagecodec.php.

References $i, $str, eZUTF8Codec\instance(), isValid(), and eZTextCodec\strlen().

## ◆ isValid()

eZCodePageCodec::isValid | ( |  | ) |

Returns true if a codepage has been set.

Definition at line 72 of file ezcodepagecodec.php.

Referenced by fromUnicode(), and toUnicode().

## ◆ setCodePage()

eZCodePageCodec::setCodePage | ( |  | $cp | ) |

Sets the current codepage which is used for utf8/text translation.

Definition at line 88 of file ezcodepagecodec.php.

## ◆ toUnicode()

eZCodePageCodec::toUnicode | ( |  | $str | ) |

Definition at line 30 of file ezcodepagecodec.php.

References $i, $str, isValid(), and eZTextCodec\strlen().

## Member Data Documentation

## ◆ $CodePage

eZCodePageCodec::$CodePage

Definition at line 93 of file ezcodepagecodec.php.

Referenced by codePage().

The documentation for this class was generated from the following file:

- ezcodepagecodec.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.